## postgresql 7.5.21

=== debian/changelog ===
postgresql (7.5.21) unstable; urgency=low

  * Add debian/postgresql-client.postrm: Remove
    /etc/postgresql/postgresql.env.dpkg-old on purge. Closes: #380168
  * Add debian/postgresql.postrm: Remove various *.dpkg-old files which were
    created during the transition in the postinst. Closes: #380167
  * debian/postgresql.post{inst,rm}: Also clean up old logcheck conffiles.
    (part of #380167)
  * debian/control: Bump Standards-Version (no changes needed).
  * debian/copyright: Update FSF address.

 -- Martin Pitt <mpitt@debian.org>  Sat, 29 Jul 2006 13:18:19 +0200

postgresql (7.5.20) unstable; urgency=low

  * debian/control: Conflict to postgis << 1.1.2 to ensure that the postgis
    files are in their proper location. It's not an issue for sarge upgrades
    anyway since postgis is not yet in sarge (and the current postgis does not
    supoprt 7.4). Closes: #321850
  * Fix bashisms.

 -- Martin Pitt <mpitt@debian.org>  Fri, 30 Jun 2006 00:06:04 +0200

postgresql (7.5.19) unstable; urgency=medium

  * debian/postgresql.preinst: Check if /etc/init.d/postgresql exists before
    attempting to call it. Closes: #363393

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Apr 2006 21:09:16 +0200

postgresql (7.5.18) unstable; urgency=low

  * Entirely remove the transition of postgres' home directory from
    /var/lib/postgres to /var/lib/postgresql. It broke scripts which
    hardcoded the old location of postgres' home directory, and is prone to
    other subtle breakage.

 -- Martin Pitt <mpitt@debian.org>  Sat,  1 Apr 2006 22:38:20 +0200

postgresql (7.5.17) unstable; urgency=high

  * Urgency high, since this only fixes two important and easy bugs.
  * Replace 'rmdir -p' with three consecutive rmdir's and protect them with
    || true. -p --ignore-fail-on-non-empty does not do what we want.
    Closes: #359952
  * chown /var/lib/postgresql to user postgres and ensure proper permissions.

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Mar 2006 21:54:00 +0200
