=== debian/control ===
Source: postgresql
Section: misc
Priority: optional
Maintainer: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.7.2
Build-Depends-Indep: debhelper (>= 4.1.29)

Package: postgresql
Architecture: all
Section: misc
Depends: postgresql-7.4, postgresql-client (>= 7.5), postgresql-common (>= 40)
Recommends: postgresql-plpython-7.4, postgresql-plperl-7.4, postgresql-pltcl-7.4
Conflicts: postgresql-contrib (<< 7.5), postgis (<< 1.1.2)
Description: object-relational SQL database management system (transitional)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. On installation it will integrate the existing
 database into this new structure. You can safely remove this package
 afterwards.
 . 
 The various procedural languages (PL/Python, PL/Tcl, PL/Perl) have
 now been split out to separate packages. If you use any of these
 languages, you need to install these packages as well.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

Package: postgresql-client
Architecture: all
Section: misc
Depends: postgresql-client-7.4
Conflicts: postgresql-contrib (<< 7.5), postgresql (<< 7.5)
Description: front-end programs for PostgreSQL (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 If you install PostgreSQL on a standalone machine, you need this
 package, too.  On a network, you can install this package on many
 client machines, while the postgresql-server package may be installed
 on only one machine.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc
Architecture: all
Section: doc
Depends: postgresql-doc-7.4
Suggests: doc-linux-html,pgdocs
Description: documentation for the PostgreSQL RDBMS (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 This package contains all README files, user manual, and examples for
 all PostgreSQL packages.  The manual is in HTML format.  See the
 packages pgdocs-pdf and pgdocs-pdf-a4 for other printable formats.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-contrib
Architecture: all
Section: misc
Depends: postgresql-contrib-7.4, postgresql (>= 7.5)
Description: additional facilities for PostgreSQL (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 The PostgreSQL contrib package provides several additional features for
 the PostgreSQL database. contrib often serves as a testbed for features
 before they are adopted into PostgreSQL proper.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-dev
Architecture: all
Section: libdevel
Depends: libpq-dev
Description: development files for libpq (transitional package)
 This is a transitional package to automatically migrate to the new
 multicluster/multiversion structure provided by postgresql-common and
 postgresql-<version>. You can safely remove this package after a
 successful installation.
 .
 The former postgresql-dev package has been split up into libpq-dev
 for client-side development and postgresql-server-dev-<version>
 packages for server-side development. However, this package does not
 depend on postgresql-server-dev-<version>.
