## postgresql 7.5.22

=== debian/changelog ===
postgresql (7.5.22) unstable; urgency=low

  * debian/control: Make postgresql-contrib package description more
    consistent. Closes: #383954

 -- Martin Pitt <mpitt@debian.org>  Tue,  5 Sep 2006 11:55:19 +0200
