=== debian/control ===
--- 
+++ 
@@ -79,9 +79,9 @@
  postgresql-<version>. You can safely remove this package after a
  successful installation.
  .
- The PostgreSQL contrib package provides several additional features for
- the PostgreSQL database. contrib often serves as a testbed for features
- before they are adopted into PostgreSQL proper.
+ The postgresql-contrib package provides several additional features
+ for the PostgreSQL database. contrib often serves as a testbed for
+ features before they are adopted into PostgreSQL proper.
  .
  PostgreSQL is an object-relational SQL database management system.
