## postgresql kernel-0.0.2

=== requirements.txt ===
wheel==0.36.2
setuptools==47.1.0
metakernel==0.24.0
psycopg2-binary==2.9.3
tabulate==0.8.9
jupyter_client==7.1.1
ipykernel==6.7.0
